Bug 160285 - shutdown -h reboots instead of halt since 2.6.11 on Tyan Motherboard
shutdown -h reboots instead of halt since 2.6.11 on Tyan Motherboard
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-14 01:22 EDT by Richard Dale
Modified: 2009-07-14 13:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:04:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 6712 None None None Never

  None (edit)
Description Richard Dale 2005-06-14 01:22:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
On a Tyan S2882-D (Thunder K8SD Pro) dual opteron motherboard with BIOS v3.02 (no additional BIOSes available as at 20050614) when logged in as root on the graphical X console perfoming any one of:
/sbin/powerdown
/sbin/halt
/sbin/shutdown -h now

the system goes through the usual shutdown procedures but then proceeds to reboot instead of halting.

However, when running on the console 


Version-Release number of selected component (if applicable):
kernel-2.6.11-1.27_FC3 acpid-1.0.3-2

How reproducible:
Always

Steps to Reproduce:
/sbin/shutdown -h 


Actual Results:  When run from X:  the system reboots insteads of powering down.  
When run from text console: the system stops at "System halted" instead of powering down.

Console output reads:

Halting system...
md: stopping all md devices
md: md0 switch to read-only mode.
megaraid: flushing adaptor 0...done
System Halted.


Expected Results:  System should halt and power down

Additional info:

Downgrading to the original FC3 kernel (kernel-2.6.9-1.667) caused the system to halt correctly.

Also present on system:  Intel SRCU42X SCSI controller with 8 x SCSI drives, firmware 413Z (using megaraid module)
Comment 1 stef 2005-06-15 03:41:22 EDT
I confirm this, I have a Tyan motherboard too, this appeared with 2.6.11 kernel
series, it use 2.6.10 and every kernel before that works fine.

Can you do a test ?
Boot your system with kernel option  acpi=off  and  quiet removed.
With my system the kernel freezes at booting with no indication (not even a
kernel panic), as this :
https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=115424

Please report the behaviour you can observe
Comment 2 Richard Dale 2005-06-15 04:39:11 EDT
I do not have any freeze as you have shown.  The kernel boots up normally into 
FC3 with acpi=off.  The only difference in behaviour for me was that a 
shutdown -h now shows "Power down." (which makes sense because it no longer 
knows how to shut down via ACPI).
Comment 3 Richard Dale 2005-07-05 19:51:09 EDT
"shutdown -h now" also fails (reboots instead of halts) with kernel-2.6.11-
1.35_FC3 on same system config as initial report.
Comment 4 Dave Jones 2005-07-15 16:33:11 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 5 Richard Dale 2005-07-24 23:55:42 EDT
The problem is still present with kernel-2.6.12-1.1372_FC3 - I will try 
upgrading to FC4 and see this makes any difference.



Comment 6 Dan Carpenter 2005-08-03 00:12:55 EDT
I saw this bug with a system a while back...  It doesn't affect every 2882
system for sure.  How much RAM do you have?  Is it over 4G?

Comment 7 Richard Dale 2005-08-03 03:20:58 EDT
Exactly 4GB RAM (PC3200 ECC)
Comment 8 Chris Griffin 2005-10-23 15:35:50 EDT
We have it happening on about 20% of our S2882's.  Didn't happen with RHEL3/2.4
kernel.  Any fix yet?
Comment 9 Richard Dale 2005-10-24 18:05:07 EDT
The problem is still present on my same system - now with FC4 and kernel 
2.6.13-1.1526_FC4 - also with 4GB RAM.
Comment 10 Dan Carpenter 2005-10-24 20:55:13 EDT
The amount of RAM doesn't make a difference for me actually.
Comment 11 Richard Dale 2005-10-24 21:00:05 EDT
I am running with BIOS 2882-D v3.03 - am contemplating trying the latest v3.04 
BIOS from http://www.tyan.com/support/html/b_s2882d.html (although it does not 
mention anything any ACPI changes that might be relevant in its changelog)
Comment 12 Richard Dale 2005-10-31 01:54:47 EST
I have upgraded my Tyan S2882-D motherboard BIOS to v3.04 and also kernel to 
2.6.13-1.1532_FC4 - halt is still non-operationa (doesn't power down)
Comment 13 Dave Jones 2005-11-10 15:19:12 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 14 Richard Dale 2005-11-13 19:52:52 EST
I have tried kernel 2.6.14-1.1637_FC4 on my Tyan S2882-D (Thunder K8SD Pro) 
and the behaviour is the same - it reboots instead of halts/power down.
Comment 15 Richard Dale 2005-12-05 01:27:41 EST
I have updated to 2.6.14-1.1644 on my Tyan S2882-D with BIOS v3.04 and no 
change to issue.  I upgraded to BIOS v3.05 and there is no change to the issue.

Comment 16 Len Brown 2006-01-18 01:45:04 EST
Please clarify.
Does the reset on shutdown happen in both cases?:
1. ACPI enabled
2. "acpi=off"
Comment 17 Richard Dale 2006-01-22 15:58:02 EST
Test scenario on 22 Jan 2006

Kernel: 2.6.14-1.656_FC4
Tyan S2882-D BIOS v3.05
Kernel params Default
BIOS ACPI Aware O/S Yes
BIOS ACPI 2.0 Support Yes
BIOS AMD PowerNow Disabled
Plug & Play O/S Yes

------------------------------
Test 1:
Additional kernel param: acpi=off

shutdown -h now 
does not reboot.  Console shows:

Halting system...
Power down.
and the system does not power down.

------------------------------
Test 2:
Plug & Play O/S No
shutdown -h now reboots system.

------------------------------
Test 3:
Plug & Play O/S No
BIOS AMD PowerNow Enabled
shutdown -h now reboots system.
Comment 18 Dave Jones 2006-01-24 01:40:39 EST
does the 2.6.15 kernel in updates-testing do any better ?
Comment 19 Richard Dale 2006-01-26 20:00:34 EST
Test 4:
Kernel 2.6.15-1.1824_FC4.x86_64
Plug & Play O/S No
BIOS AMD PowerNow Enabled
shutdown -h now reboots system
Comment 20 Dave Jones 2006-02-03 02:20:48 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 21 Richard Dale 2006-02-06 02:56:34 EST
Test 5:

Outcome: Bug still exists

Kernel 2.6.15-1.1830_FC4.x86_64
Tyan S2882-D BIOS v3.05
Kernel params Default
BIOS ACPI Aware O/S Yes
BIOS ACPI 2.0 Support Yes
Plug & Play O/S No
BIOS AMD PowerNow Enabled
'shutdown -h now' results in system reboot (instead of halting it)
Comment 22 Dave Jones 2006-07-29 00:53:11 EDT
This one really is puzzling, as I'm unable to reproduce it on my 2882.
Other than stabbing in the dark and hoping that some random upstream change
makes it work again, I'm totally out of ideas on this one.

I assume it's still affecting you with the 2.6.17 kernel ?
Comment 23 Dave Jones 2006-09-16 23:08:57 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 24 Dave Jones 2006-10-16 20:17:32 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 25 Richard Dale 2006-10-30 02:21:44 EST
Problem still exists in FC6 X86-64

Upgraded to FC6 (2.6.18-1.2798.fc6)
Also upgraded Motherboard BIOS to 2882D BIOS to v3.09 to see if that had any effect.

Kernel 2.6.15-1.1830_FC4.x86_64
Tyan S2882-D BIOS v3.09
Kernel params Default
BIOS ACPI Aware O/S Yes
BIOS ACPI 2.0 Support Yes
Plug & Play O/S No
BIOS AMD PowerNow Enabled

'shutdown -h now' results in system reboot (instead of halting it)

Comment 26 Chuck Ebbert 2007-04-17 19:51:51 EDT
Please try kernel 2.6.20-1.2944.fc6
Comment 27 Richard Dale 2007-05-27 03:01:37 EDT
Problem still exists in FC6 X86-64 with 2.6.20-1.2948.fc6

Upgraded to kernel 2.6.20-1.2948.fc6
no other changes

'shutdown -h now' results in system reboot (instead of halting it)
Comment 28 Bug Zapper 2008-04-03 21:57:11 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 29 Richard Dale 2008-04-26 08:56:04 EDT
Problem still exists in Fc8 X86-64 with 2.6.24.4-64.fc8
ie
'shutdown -h now' results in system reboot (instead of halting it)
Comment 30 Bug Zapper 2008-11-26 01:50:40 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 31 Richard Dale 2008-11-26 02:20:25 EST
Still present in FC9 X86-64 with 2.6.25.11-97.fc9.x86_64
Comment 32 Bug Zapper 2009-06-09 18:01:34 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 33 Bug Zapper 2009-07-14 13:04:36 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.